- Qt 5.3
- Qt Bluetooth
- C++ Classes
- QBluetoothTransferManager
- Qt 5.3.2 Reference Documentation

# QBluetoothTransferManager Class

The QBluetoothTransferManager class transfers data to another device using Object Push Profile (OPP). More...

Header: | `#include <QBluetoothTransferManager>`
qmake: | `QT += bluetooth`

- List of all members, including inherited members

## Public Functions

| QBluetoothTransferManager(QObject * parent = 0)
| ~QBluetoothTransferManager()
QBluetoothTransferReply * | put(const QBluetoothTransferRequest & request, QIODevice * data)

## Signals

void | finished(QBluetoothTransferReply * reply)

## Detailed Description

The QBluetoothTransferManager class transfers data to another device using Object Push Profile (OPP).

QBluetoothTransferManager uses OBEX to send put commands to remote devices.

Note that this API is not currently supported on Android.

## Member Function Documentation

### QBluetoothTransferManager::QBluetoothTransferManager(QObject * parent = 0)

Constructs a new QBluetoothTransferManager with parent.

### QBluetoothTransferManager::~QBluetoothTransferManager()

Destroys the QBluetoothTransferManager.

### void QBluetoothTransferManager::finished(QBluetoothTransferReply * reply)`[signal]`

This signal is emitted when the transfer for reply finishes.

### QBluetoothTransferReply * QBluetoothTransferManager::put(const QBluetoothTransferRequest & request, QIODevice * data)

Sends the contents of data to the remote device identified by request, and returns a new QBluetoothTransferReply that can be used to track the request's progress.

If the platform does not support the Object Push profile, this function will return `0`.